Bug 1064440 (CVE-2014-0077) - CVE-2014-0077 kernel: vhost-net: insufficiency in handling of big packets in handle_rx()
Summary: CVE-2014-0077 kernel: vhost-net: insufficiency in handling of big packets in ...
Status: CLOSED ERRATA
Alias: CVE-2014-0077
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140327,repor...
Keywords: Security
: 1064102 (view as bug list)
Depends On: 1064442 1064444 1064446 1074439 1074440 1081504
Blocks: 994246 1064451
TreeView+ depends on / blocked
 
Reported: 2014-02-12 16:00 UTC by Petr Matousek
Modified: 2019-06-08 19:54 UTC (History)
19 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-06-03 07:15:19 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0475 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-05-07 22:46:14 UTC
Red Hat Product Errata RHSA-2014:0593 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-06-03 20:26:52 UTC
Red Hat Product Errata RHSA-2014:0629 normal SHIPPED_LIVE Important: rhev-hypervisor6 security update 2014-06-05 18:57:02 UTC
Red Hat Product Errata RHSA-2014:0634 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-06-04 21:06:59 UTC

Description Petr Matousek 2014-02-12 16:00:54 UTC
A flaw was found in the way handle_rx() function handled big packets when mergeable buffers were disabled.

A privileged user in the guest could use this flaw to crash the host, or, potentially, escalate their privileges to the ones of the hosting qemu process by corrupting qemu memory.

Acknowledgements:

This issue was discovered by Michael S. Tsirkin of Red Hat.

Comment 2 Petr Matousek 2014-02-12 16:06:00 UTC
Statement:

This issue does not affect Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2.

Comment 3 Ronen Hod 2014-02-24 07:33:57 UTC
*** Bug 1064102 has been marked as a duplicate of this bug. ***

Comment 5 Petr Matousek 2014-03-27 10:04:35 UTC
Upstream patch submission:

http://article.gmane.org/gmane.linux.network/311012

Comment 6 Petr Matousek 2014-03-27 13:15:53 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1081504]

Comment 7 Fedora Update System 2014-04-04 09:45:51 UTC
kernel-3.13.8-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-04-09 00:51:28 UTC
kernel-3.13.9-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2014-05-07 18:46:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0475 https://rhn.redhat.com/errata/RHSA-2014-0475.html

Comment 10 errata-xmlrpc 2014-06-03 16:27:04 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.3 EUS - Server and Compute Node Only

Via RHSA-2014:0593 https://rhn.redhat.com/errata/RHSA-2014-0593.html

Comment 11 errata-xmlrpc 2014-06-04 17:07:33 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2014:0634 https://rhn.redhat.com/errata/RHSA-2014-0634.html

Comment 12 errata-xmlrpc 2014-06-05 14:58:54 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0629 https://rhn.redhat.com/errata/RHSA-2014-0629.html


Note You need to log in before you can comment on or make changes to this bug.